Create Playlist

Create new playlist inside video wprkspace

Body
application/json
  • collection_id
    Type: string
    required
  • title
    Type: string
    required
  • description
    Type: string
Responses
  • application/json
  • application/json
Request Example for post/video/playlist
curl https://api.gumlet.com/v1/video/playlist \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "title": "Playlist-Title",
  "description": "This is description for playlist.",
  "collection_id": "{{video-source-id}}"
}'
{
  "id": "659693cadc46251d898930f2",
  "collection_id": "646df1c9173a4a2fcac180b4",
  "title": "Playlist-Title",
  "description": "This is description for playlist.",
  "player_config": {
    "preload": false,
    "autoplay": false,
    "disable_seek": false,
    "disable_player_controls": false,
    "powered_by_gumlet_overlay": false,
    "allow_drm_protected_videos": false,
    "loop": false,
    "player_color": "#6658ea",
    "include_seo": true,
    "subtitle_enabled": false,
    "pixel_tags": {},
    "logo_width": 100,
    "logo_height": 100,
    "dynamic_watermark": false,
    "watermark_font_size": 20,
    "watermark_font_color": "#ff0000",
    "watermark_bg_color": "transparent",
    "watermark_interval": 1000
  }
}